<?php
// $Id: xc_auth.ncip_toolkit.inc,v 1.1.2.4 2009/12/04 19:07:12 mtwesley Exp $

function xc_auth_method_ncip_toolkit_form($form_state) {
  $ncip_toolkit_options = array();
  foreach (xc_ncip_toolkit_get_all() as $ncip_toolkit) {
    $ncip_toolkit_options[$ncip_toolkit->ncip_toolkit_id] = $ncip_toolkit->name;
  }

  $form['ncip_toolkit_auth_type'] = array(
    '#type' => 'radios',
    '#title' => t('NCIP Toolkit Authentication Type'),
    '#description' => t('Whether NCIP authenticating by default or LDAP username and password'),
    '#options' => array(
      'default' => t('Default'),
      'ldap' => t('LDAP')
    ),
    '#default_value' => 'default',
    '#required' => TRUE
  );

  $form['ncip_toolkit_id'] = array(
    '#type' => 'select',
    '#title' => t('NCIP Toolkit'),
    '#options' => $ncip_toolkit_options,
    '#default_value' => is_array($form_state['xc_auth_type']->data) ? $form_state['xc_auth_type']->data['ncip_toolkit_id'] : ''
  );

  return $form;
}

function xc_auth_method_ncip_toolkit_validate($form, &$from_state) {}
function xc_auth_method_ncip_toolkit_submit($form, &$from_state) {}

function xc_auth_method_login_ncip_toolkit_validate($form, &$from_state) {}
function xc_auth_method_login_ncip_toolkit_submit($form, &$from_state) {}
