
<table width="100%">
<tr valign="top">
<td>
<table width="100%" class="xc-full">
<?php if ($element['creator']) { ?>
<tr>
	<td ="xc-label">Author:</td>
	<td><?php echo xc_util_conditional_joined_link(', ', $element['creator'], 
  array('rdarole:artist', 'rdarole:author', 'rdarole:compiler', 'rdarole:composer', 
  'rdarole:speaker', 'xc:creator', 'dcterms:creator'), array('phrase' => 1)); ?></td>
</tr>
<?php } ?>

<?php if (isset($element['publisher']) 
          || isset($xc['rdvocab:placeOfPublication'])
          || isset($element['date'])): ?>
<tr>
  <td class="xc-label">Publisher:</td>
  <td><?php 
  if (isset($xc['rdvocab:placeOfProduction'])) {
    echo xc_util_conditional_join(', ', $xc['rdvocab:placeOfProduction']);
  }
  if (isset($element['publisher'])) {
    if (isset($xc['rdvocab:placeOfProduction'])) {
      echo ' ';
    }
    echo xc_util_conditional_join(', ', $element['publisher']);
  } 
  if (isset($element['publisher']) && isset($xc['dcterms:issued'])) {
    echo ' ';
  }
  if (isset($element['date'])) {
    echo xc_util_conditional_join(', ', $element['date']);
  }
  ?></td> 
</tr>
<?php endif ?> 

<?php if (isset($element['format']) || isset($xc['language'])): ?>
<tr>
	<td class="xc-label">Edition/Format:</td>
	<td>
	  <?php 
	  if (isset($element['format'])) { 
	    echo xc_util_conditional_join(', ', $element['format']); 
	  }
	  if (isset($element['format']) && isset($xc['language'])) { 
	    echo '; ';
	  }
	  if (isset($element['language'])) { 
	    echo xc_util_conditional_join('&mdash;', $element['language']); 
	  }
	  if ((isset($element['format']) || isset($element['language'])) 
	    && isset($xc['rdvocab:editionStatement'])) { 
	    echo '; ';
	  }
	  if (isset($xc['rdvocab:editionStatement'])) { 
	    echo xc_util_conditional_join(' &mdash; ', $xc['rdvocab:editionStatement']); 
	  }
	  ?>
	</td>
</tr>
<?php endif ?> 
</table>

<fieldset class=" collapsible " style="clear:both">
	<legend>Find a Copy</legend>
	<table width="100%" class="xc-full">
<?php if (isset($xc['dcterms:identifier'])): ?>
	<tr>
		<td class="xc-label">Online:</td>
	  <td><?php echo xc_util_conditional_joined_link('<br/>', $xc['dcterms:identifier'],
	    '', array('external' => 1, 'regex' => '/^http/')); ?></td>
	</tr>
<?php endif ?>
	<tr>
		<td class="xc-label">Delivery Info:</td>
		<td>..</td>
	</tr>
<?php if (isset($xc['status'])): ?>
	<tr>
		<td class="xc-label">Availibility:</td>
	  <td id="xc-availibility-' . $node_id . '"><?php echo $xc['status']; ?></td>
	</tr>
<?php endif ?>
	</table>
</fieldset>

</td>
<td width="10%"><div id="coverart-<?php echo $xc['node_id']; ?>" style="float: right">
<?php if (isset($xc['image_url_large'])) { ?>
	<a href="<?php echo $xc['image_url_large'] ?>" rel="lightbox" 
	  title="<?php 
	  if (isset($element['title'])) {
	    echo $element['title'];
	  }
	  if (isset($element['creator'])) {
      echo ' by ' . $element['creator'];
	  }
?>">
		<img src="<?php echo $xc['image_url_medium']; ?>"/>
	</a>
<?php 
} 
else { ?>
	<img src="<?php echo $xc['image_url_medium']; ?>"/>
<?php } ?>
</div>
</td>
</tr>
</table>

<fieldset class=" collapsible">
	<legend>Details</legend>
	<table width="100%" class="xc-full">
<?php if (isset($xc['genre'])):?>
	<tr>
		<td class="xc-label">Genre/Form:</td>
		<td><?php echo xc_util_conditional_join(' &mdash; ', $xc['genre']); ?></td>
	</tr>
<?php endif; ?>


<?php if (isset($xc['rdvocab:natureOfContent'])):?>
	<tr>
		<td class="xc-label">Material Type:</td>
		<td><?php echo xc_util_conditional_join(' &mdash; ', $xc['rdvocab:natureOfContent']); ?></td>
	</tr>
<?php endif; ?>

<?php if (isset($element['format'])):?>
	<tr>
		<td class="xc-label">Document Type:</td>
		<td><?php echo xc_util_conditional_join(' &mdash; ', $element['format']);?></td>
	</tr>
<?php endif; ?>

<?php if (isset($element['creator']) || isset($element['contributor'])):?>
	<tr>
		<td class="xc-label">All Authors/Contributors:</td>
		<td><?php 
		  if (isset($element['creator'])) {
		    echo xc_util_conditional_joined_link(' &mdash; ', $element['creator'], 
		      array('rdarole:artist', 'rdarole:author', 'rdarole:compiler', 
		      'rdarole:composer', 'rdarole:speaker', 'xc:creator', 'dcterms:creator'));
		  }
		  if (isset($element['creator']) && isset($element['contributor'])) {
		    echo '<br/>';
		  }
		  if (isset($element['contributor'])) {
		    $contributors = array('rdarole:director' => 'director', 
		    'rdarole:editor' => 'editor', 'rdarole:illustrator' => 'illustrator',
		    'rdarole:performer' => 'performer', 'rdarole:producer' => 'producer', 
		    'rdarole:translator' => 'translator', 'xc:contributor' => 'contributor',
		    'dcterm:contributor' => 'contributor');
		    $links = array();
		    foreach ($contributors as $contibutor => $label) {
  		    if (isset($xc[$contibutor])) {
  		      $links[] = xc_util_conditional_joined_link(', ', $xc[$contibutor], $contibutor)
  		               . ' ('. $label . ')';
  		    }
		    }
		    echo join(' &mdash ', $links);
		    /*
		    echo xc_util_conditional_joined_link(' &mdash; ', $element['contributor'],
		    array('rdarole:director', 'rdarole:editor', 'rdarole:illustrator', 
		    'rdarole:performer', 'rdarole:producer', 'rdarole:translator'));
		    */
		  } ?></td>
	</tr>
<?php endif; ?>

<?php if (isset($xc['xc:thesisAdvisor'])):?>
	<tr>
		<td class="xc-label">Thesis Advisor:</td>
		<td><?php echo xc_util_conditional_join(' &mdash; ', $xc['xc:thesisAdvisor']); ?></td>
	</tr>
<?php endif; ?>

<?php if (isset($xc['dcterms:identifier_ISBN'])):?>
	<tr>
		<td class="xc-label">ISBN:</td>
		<td><?php echo xc_util_conditional_join(' &mdash; ', $xc['dcterms:identifier_ISBN']); ?></td>
	</tr>
<?php endif; ?>

<?php if (isset($xc['dcterms:identifier_ISSN'])):?>
	<tr>
		<td class="xc-label">ISSN:</td>
		<td><?php echo xc_util_conditional_join(' &mdash; ', $xc['dcterms:identifier_ISSN']); ?></td>
	</tr>
<?php endif; ?>

<?php if (isset($xc['xc:recordID_OCoLC'])):?>
	<tr>
		<td class="xc-label">OCLC:</td>
		<td><?php echo xc_util_conditional_join(' &mdash; ', $xc['xc:recordID_OCoLC']); ?></td>
	</tr>
<?php endif; ?>

<?php if (isset($xc['rdvocab:dissertationOrThesesInformation']) 
       || isset($xc['dcterms:description'])):?>
	<tr>
		<td class="xc-label">Notes:</td>
		<td><?php 
		  if (isset($xc['rdvocab:dissertationOrThesesInformation'])) {
        echo xc_util_conditional_join(' &mdash; ', $xc['xc:recordID_OCoLC']);
		  } 
		  if (isset($xc['rdvocab:dissertationOrThesesInformation'])
		  && isset($xc['dcterms:description'])) {
		    echo ' &mdash; ';
		  }
		  if (isset($xc['dcterms:description'])) {
		    echo xc_util_conditional_join(' &mdash; ', $xc['dcterms:description']);
		  }
		  ?></td>
	</tr>
<?php endif; ?>

<?php if (isset($xc['dcterms:audience'])):?>
	<tr>
		<td class="xc-label">Target Audience:</td>
		<td><?php echo xc_util_conditional_join(' &mdash; ', $xc['dcterms:audience']);?></td>
	</tr>
<?php endif; ?>

<?php if (isset($xc['dcterms:extent'])
       || isset($xc['dcterms:otherPhisicalDetails'])
       || isset($xc['drvocab:dimensions'])):?>
<tr>
	<td class="xc-label">Description:</td>
	<td><?php 
      if (isset($xc['dcterms:extent'])) {
        echo xc_util_conditional_join(' &mdash; ', $xc['dcterms:extent']);
      }
      if (isset($xc['dcterms:otherPhisicalDetails'])) {
        echo xc_util_conditional_join(' &mdash; ', $xc['dcterms:otherPhisicalDetails']);
      }
      if (isset($xc['drvocab:dimensions'])) {
        echo xc_util_conditional_join(' &mdash; ', $xc['drvocab:dimensions']);
      }
      
    ?></td>
	</tr>
<?php endif; ?>

<?php if (isset($xc['dcterms:requires'])):?>
<tr>
  <td class="xc-label">Details:</td>
  <td><?php echo xc_util_conditional_join(' &mdash; ', $xc['dcterms:requires']);?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc['dcterms:tableOfContents'])):?>
<tr>
  <td class="xc-label">Contents:</td>
  <td><?php echo xc_util_conditional_join(' &mdash; ', $xc['dcterms:tableOfContents']);?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc['rdvocab:titleOfWork'])):?>
<tr>
  <td class="xc-label">Other titles:</td>
  <td><?php echo xc_util_conditional_join(' &mdash; ', $xc['rdvocab:titleOfWork']);?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc['rdvocab:statementOfResponsibilityRelatingToTitle'])):?>
<tr>
  <td class="xc-label">Responsibility:</td>
  <td><?php echo xc_util_conditional_join(' &mdash; ', $xc['rdvocab:statementOfResponsibilityRelatingToTitle']);?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc['xc:isPartOf']) || isset($xc['dcterms:isPartOf'])):?>
<tr>
  <td class="xc-label">Series Title:</td>
  <td><?php
  if (isset($xc['xc:isPartOf'])) { 
    echo xc_util_conditional_join(' &mdash; ', $xc['xc:isPartOf']);
  }
  if (isset($xc['dcterms:isPartOf'])) { 
    echo xc_util_conditional_join(' &mdash; ', $xc['dcterms:isPartOf']);
  }
  ?></td>
</tr>
<?php endif; ?>

<?php if (isset($element['abstract'])): ?>
<tr>
  <td class="xc-label">Abstract:</td>
  <td><?php echo $element['abstract'] ?></td>
</tr>
<?php endif ?> 
	</table>
</fieldset>

<fieldset class=" collapsible">
  <legend>Reviews</legend>
  <div>
  <?php echo xc_util_conditional_join('<br/>', $xc['summary']); ?>
  </div>
</fieldset>

<fieldset class=" collapsible">
  <legend>Similar items</legend>
  <table width="100%" class="xc-full">

<?php if (isset($xc['xc:subject'])
       || isset($xc['dcterms:subject'])
       || isset($xc['xc:spatial'])
       || isset($xc['dcterms:spatial'])
       || isset($xc['xc:temporal'])
       || isset($xc['dcterms:temporal'])
       || isset($xc['dcterms:coverage'])
       ):?>
<tr>
  <td class="xc-label">Related Subjects:</td>
  <td><?php
  if (isset($xc['xc:subject']) || isset($xc['dcterms:subject'])) {
    echo '<em>subject</em>' . '<br/>';
  }
  if (isset($xc['xc:subject'])) {
    echo xc_util_conditional_joined_link('<br/>', $xc['xc:subject'], 'xc:subject') . '<br/>';
  }
  if (isset($xc['dcterms:subject'])) {
    echo xc_util_conditional_joined_link('<br/>', $xc['dcterms:subject'], 'dcterms:subject') . '<br/>';
  }
  
  if (isset($xc['xc:spatial']) || isset($xc['dcterms:spatial'])) {
    echo '<em>spatial</em>';
  }
  if (isset($xc['xc:spatial'])) {
    echo '<br/>';
    echo xc_util_conditional_joined_link('<br/>', $xc['xc:spatial'], 'xc:spatial');
  }
  if (isset($xc['dcterms:spatial'])) {
    echo '<br/>';
    echo xc_util_conditional_joined_link('<br/>', $xc['dcterms:spatial'], 'dcterms:spatial');
  }

  if (isset($xc['xc:temporal']) || isset($xc['dcterms:temporal'])) {
    echo '<br/>';
    echo '<em>temporal</em>';
  }
  if (isset($xc['xc:temporal'])) {
    echo '<br/>';
    echo xc_util_conditional_joined_link('<br/>', $xc['xc:temporal'], 'xc:temporal');
  }
  if (isset($xc['dcterms:temporal'])) {
    echo '<br/>';
    echo xc_util_conditional_joined_link('<br/>', $xc['dcterms:temporal'], 'dcterms:temporal') . '<br/>';
  }
  
  if (isset($xc['dcterms:coverage'])) {
    echo '<br/>';
    echo '<em>coverage</em>' . '<br/>';
    echo xc_util_conditional_joined_link('<br/>', $xc['dcterms:coverage'], 'dcterms:coverage') . '<br/>';
  }
  ?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc['xc:relation'])
       || isset($xc['dcterms:relation'])
       ):?>
<tr>
  <td class="xc-label">Related Resources:</td>
  <td><?php
  if (isset($xc['xc:relation'])) {
    echo xc_util_conditional_joined_link('<br/>', $xc['xc:relation'], '') . '<br/>';
  }
  if (isset($xc['dcterms:relation'])) {
    echo xc_util_conditional_joined_link('<br/>', $xc['dcterms:relation'], '') . '<br/>';
  }
  ?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc['mlt'])):?>
<tr>
  <td class="xc-label">Browse similar items:</td>
  <td>
<table width="100%">
<?php foreach ($xc['mlt'] as $mlt) { ?>
<tr valign="top">
<td id="coverart-<?php echo $mlt['mlt']['node_id']; ?>" width="10%" align="right">
<?php if (isset($mlt['image_url']) && $mlt['image_url'] != ''): ?>
	<img src="<?php echo $mlt['image_url']; ?>"/>
<?php endif; ?>
</td>
<td><?php 
    if (isset($mlt['element']['title'])) {
      echo l(
        '<em>' . xc_util_conditional_join(' &mdash; ', $mlt['element']['title']) . '</em>',
        'xc/search/full/' . base64_encode($mlt['mlt']['id']),
        array('html' => TRUE)
      );
      if (isset($mlt['element']['creator'])) {
        echo '<br/>';
      }
    }
    if (isset($mlt['element']['creator'])) {
      echo 'by ' . xc_util_conditional_join(' &mdash; ', $mlt['element']['creator']) ;
    }
    ?></td>
</tr>
<?php } ?>
</table></td>
</tr>
<?php endif; ?>

</table>
</fieldset>

<?php $processed_fields = array('id', 'node_id', 'timestamp', 'type', 'node_type', 
'processed', 'metadata_id', 'metadata_type', 'syndetics_ids', 'image_url',
'dcterms:tableOfContents',
'rdvocab:titleOfWork', 'dcterms:description', 'xc:relation', 'dcterms:relation',
'rdvocab:placeOfPublication', 'xc:workExpressed', 'xc:expressionManifested', 
'xc:recordID_OCoLC', 'dcterms:extent', 'mlt', 'xc:subject', 'dcterms:subject',
'rdvocab:natureOfContent', 'dcterms:identifier_ISBN', 'summary', 'language',
'xc:isPartOf', 'dcterms:isPartOf', 'rdvocab:placeOfProduction', 
'dcterms:identifier', 'rdvocab:editionStatement',
// display template elements
'dcterms:language', // language

// special fields
'image_url_large', 'image_url_medium', 'status',
// facets
'format', 'classification', 'topic', 'date', 'genre', 'subject', 'authors_contributors',
'other_contributors', 'related_resources'
); ?>
<fieldset class=" collapsible">
  <legend>Other fields</legend>
  <table width="100%" class="xc-full">
<?php foreach ($xc as $key => $value) { ?>
  <?php if (!in_array($key, $processed_fields)) { ?>
<tr>
  <td class="xc-label"><?php echo $key; ?></td>
  <td><?php echo xc_util_conditional_join('<br/>', $value); ?></td>
</tr>
  <?php } ?>
<?php } ?>
  </table>
</fieldset>
