<table width="100%" class="xc-snippet">
<?php if (isset($element['citation'])):?>
<tr class="xc-citation">
	<td width="20%">citation:</td>
	<td><?php echo $element['citation'] ?></td>
</tr>
<?php endif ?> 

<?php if (isset($element['publisher'])): ?>
<tr class="xc-date">
	<td width="20%">published:</td>
	<td><?php 
    if (is_array($element['publisher'])) { 
        echo join(', ', $element['publisher']);
    }
    else { 
      echo $element['publisher']; 
    } 
    if (isset($xc['dcterms:issued'])) { 
      echo ' ';
      if (is_array($xc['dcterms:issued'])) { 
        echo join(', ', $xc['dcterms:issued']);
      }
      else {
        echo $xc['dcterms:issued'];
      } 
    } 
    if (isset($xc['dcterms:extent'])) {
      echo ' ';
      echo $xc['dcterms:extent'];
    }?></td>
</tr>
<?php endif ?> 

<?php if (isset($element['date'])): ?>
<tr class="xc-date">
	<td width="20%">date:</td>
	<td><?php echo $element['date'] ?></td>
</tr>
<?php endif ?> 

<?php if (isset($element['format'])): ?>
<tr class="xc-format">
  <td width="20%">format:</td>
  <td><?php echo xc_util_conditional_join(', ', $element['format']); ?></td>
</tr>
<?php endif ?> 

<?php if (isset($element['abstract'])): ?>
<tr class="xc-abstract">
  <td width="20%">abstract:</td>
  <td><?php echo $element['abstract'] ?></td>
</tr>
<?php endif ?> 

<?php if (isset($xc['status'])): ?>
<tr class="xc-availibility">
  <td width="20%">Availibility:</td>
  <td id="xc-availibility-' . $node_id . '"><?php echo $xc['status']; ?></td>
</tr>
<?php endif ?> 
</table>

<div class="xc-frbr-navigation">
see it's <?php echo 
  l(format_plural(count($xc['xc:expressionManifested']), 'expression', '@count expressions'),
    'search/xc_search/id:' . '("' . join('" OR "', $xc['xc:expressionManifested']) . '")',
    array('absolute' => TRUE, 'query' => 'search_type=uplink'));?>
!
</div>

<div class="xc-debug-info">
FRBR level: manifestation
 - [<?php echo $xc['full_display_link']; ?>]
 - [<?php echo $xc['local_xml_link']; ?>]
 - [<?php echo $xc['remote_xml_link']; ?>]
 - [<?php echo $xc['solr_link']; ?>]
 - [<?php echo $xc['mlt_link']; ?>]
<?php if (!empty($xc['sibling_link'])) { ?>
 - [<?php echo $xc['sibling_link']?>]
<?php } ?>
<?php if (!empty($xc['oclc_urls'])) {
  echo ' - [<a href="' . join('">oclc</a>] [<a href="', $xc['oclc_urls']) . '">oclc</a>]';
} ?>
</div>
