<?php
// $Id: xc_auth.methods.inc,v 1.1.2.7 2009/12/04 22:58:30 mtwesley Exp $

/**
 * Implementation of hook_xc_auth_methods()
 */
function xc_auth_xc_auth_methods() {
  global $xc_auth_ldap_enabled, $xc_auth_ncip_toolkit_enabled;

  $methods = array();

//  if ($xc_auth_ldap_enabled) {
//    $methods['ldap'] = array(
//      'name' => t('LDAP Authentication'),
//      'description' => t('User/password authentication via LDAP'),
//      'credentials' => 'user_pass'
//    );
//  }

  if ($xc_auth_ncip_toolkit_enabled) {
    $methods['ncip_toolkit'] = array(
      'name' => t('NCIP Toolkit Authentication'),
      'description' => t('Authentication with NCIP Toolkit using either username
                          and password or LDAP username and password'),
      'credentials' => 'user_pass'
    );
  }
  
  return $methods;
}

